Subject: Re: [bug#37358] Add emacs-doom-themes

From: [email-masked]
Date: Wed, 11 Sep 2019 20:13:43 +0200

Hi all,

I have a copy of emacs-doom-themes in my channel here. I never pushed it 
because I didnt feel it was good enough for upstream.

It works though, feel free to tweak it and push it.

https://git.sr.ht/~brettgilio/cfg/tree/master/guix-channel/non-gnu/packages/emacs-xyz.scm#L10

On 11.09.2019 18:48, Tim Gesthuizen via Guix-patches via wrote:
> Hi,
> 
> Ludovic Courtès writes:
>> Why is this needed?
> 
> I am pretty sure that this is not what I want (did I miss a 
> build-system
> option?):
> The themes of the package are in a subdirectory that is not byte
> compiled or installed to the store when the package is build.
> The easiest workaround I could come up with is copying all .el files to
> the root of the package.
> The package is pretty useless without the theme .el files.
> 
>> I could suggest:
>> 
>>   (for-each (lambda (file)
>>               (rename-file file (string-append (dirname file) "/..")))
>>             (find-files themes))
>> 
>> … which would really move files, but it also more verbose.
> 
> A version moving the files is attached. I would prefer the copying
> version however: The files will not get installed, we are talking about
> a few kilobytes in /tmp/, and it is easier to read.
> Choose the version you like :)
> 
> Tim.